Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 121229 - (CVE-2004-0421) CAN-2004-0421 libpng can access out of bounds memory
CAN-2004-0421 libpng can access out of bounds memory
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
impact=important,public=20040429
: Security
: 120508 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-19 10:35 EDT by Mark J. Cox
Modified: 2018-08-15 19:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-19 16:32:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:180 normal SHIPPED_LIVE Important: libpng security update 2004-05-19 00:00:00 EDT

  None (edit)
Description Mark J. Cox 2004-04-19 10:35:15 EDT
From: Steve G <linux_4ever@yahoo.com>

In the png_format_buffer function located in pngerror.c around
line 133 is the following code:

   if (message == NULL)
      buffer[iout] = 0;
   else
   {
      buffer[iout++] = ':';
      buffer[iout++] = ' ';
      png_memcpy(buffer+iout, message, 64);
      buffer[iout+63] = 0;
   }
                                                                     
          
This code is called from the png_chunk_error & png_chunk_warning
functions. An example of their use would be in pngutil.c around
line 119.
                                                                     
          
 png_chunk_error(png_ptr, "CRC error");
                                                                     
          
In the above code, the message being constructed is only 10
characters long. The png_memcpy function will unconditionally
access 54 bytes beyond the message.

This could cause a carefully crafted png image to cause a denial of
service.

Possibly embargoed; marking as embargoed until communicated otherwise.
Comment 1 Matthias Clasen 2004-04-23 10:14:06 EDT
*** Bug 120508 has been marked as a duplicate of this bug. ***
Comment 2 Mark J. Cox 2004-05-02 06:51:03 EDT
removing embargo
Comment 3 Mark J. Cox 2004-05-19 16:32:16 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-180.html

Note You need to log in before you can comment on or make changes to this bug.